# Enum Op.OpKind

java.lang.Object
java.lang.Enum<Op.OpKind>
org.apache.zookeeper.Op.OpKind

All Implemented Interfaces:
  `Serializable, Comparable<Op.OpKind>`

Enclosing class:
  `Op`

public static enum Op.OpKind extends Enum<Op.OpKind>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`READ`
`TRANSACTION`

## Method Summary

Modifier and Type
Method
Description
`static Op.OpKind`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Op.OpKind[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TRANSACTION

public static final Op.OpKind TRANSACTION

### READ

public static final Op.OpKind READ

## Method Details

### values

public static Op.OpKind[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Op.OpKind valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null